Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.style.validation.model.impl
Class VTValidationPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.emf.ecp.view.template.style.validation.model.impl.VTValidationPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, VTValidationPackage

    public class VTValidationPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements VTValidationPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecp.view.template.style.validation.model.VTValidationPackage
`VTValidationPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.view.template.style.validation.model.VTValidationPackage
`eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, VALIDATION_STYLE_PROPERTY, VALIDATION_STYLE_PROPERTY__CANCEL_COLOR_HEX, VALIDATION_STYLE_PROPERTY__CANCEL_IMAGE_URL, VALIDATION_STYLE_PROPERTY__CANCEL_OVERLAY_URL, VALIDATION_STYLE_PROPERTY__ERROR_COLOR_HEX, VALIDATION_STYLE_PROPERTY__ERROR_IMAGE_URL, VALIDATION_STYLE_PROPERTY__ERROR_OVERLAY_URL, VALIDATION_STYLE_PROPERTY__INFO_COLOR_HEX, VALIDATION_STYLE_PROPERTY__INFO_IMAGE_URL, VALIDATION_STYLE_PROPERTY__INFO_OVERLAY_URL, VALIDATION_STYLE_PROPERTY__OK_COLOR_HEX, VALIDATION_STYLE_PROPERTY__OK_IMAGE_URL, VALIDATION_STYLE_PROPERTY__OK_OVERLAY_URL, VALIDATION_STYLE_PROPERTY__WARNING_COLOR_HEX, VALIDATION_STYLE_PROPERTY__WARNING_IMAGE_URL, VALIDATION_STYLE_PROPERTY__WARNING_OVERLAY_URL, VALIDATION_STYLE_PROPERTY_FEATURE_COUNT, VALIDATION_STYLE_PROPERTY_OPERATION_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`VTValidationFactory` | `getValidationFactory()`
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_CancelColorHEX()`
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_CancelImageURL()`
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_CancelOverlayURL()`
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_ErrorColorHEX()`
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_ErrorImageURL()`
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_ErrorOverlayURL()`
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_InfoColorHEX()`
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_InfoImageURL()`
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_InfoOverlayURL()`
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_OkColorHEX()`
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_OkImageURL()`
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_OkOverlayURL()`
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_WarningColorHEX()`
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_WarningImageURL()`
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_WarningOverlayURL()`
`org.eclipse.emf.ecore.EClass` | `getValidationStyleProperty()`
`static VTValidationPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static VTValidationPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `VTValidationPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `VTValidationPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getValidationStyleProperty

    public org.eclipse.emf.ecore.EClass getValidationStyleProperty()

  Specified by:
    `getValidationStyleProperty` in interface `VTValidationPackage`
  Returns:
    the meta object for class 'Style Property'.
  See Also:
    `VTValidationStyleProperty`

### getValidationStyleProperty_OkColorHEX

    public org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_OkColorHEX()

  Specified by:
    `getValidationStyleProperty_OkColorHEX` in interface `VTValidationPackage`
  Returns:
    the meta object for the attribute 'Ok Color HEX'.
  See Also:
    `VTValidationStyleProperty.getOkColorHEX()`, `VTValidationPackage.getValidationStyleProperty()`

### getValidationStyleProperty_OkImageURL

    public org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_OkImageURL()

  Specified by:
    `getValidationStyleProperty_OkImageURL` in interface `VTValidationPackage`
  Returns:
    the meta object for the attribute 'Ok Image URL'.
  See Also:
    `VTValidationStyleProperty.getOkImageURL()`, `VTValidationPackage.getValidationStyleProperty()`

### getValidationStyleProperty_OkOverlayURL

    public org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_OkOverlayURL()

  Specified by:
    `getValidationStyleProperty_OkOverlayURL` in interface `VTValidationPackage`
  Returns:
    the meta object for the attribute 'Ok Overlay URL'.
  See Also:
    `VTValidationStyleProperty.getOkOverlayURL()`, `VTValidationPackage.getValidationStyleProperty()`

### getValidationStyleProperty_InfoColorHEX

    public org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_InfoColorHEX()

  Specified by:
    `getValidationStyleProperty_InfoColorHEX` in interface `VTValidationPackage`
  Returns:
    the meta object for the attribute 'Info Color HEX'.
  See Also:
    `VTValidationStyleProperty.getInfoColorHEX()`, `VTValidationPackage.getValidationStyleProperty()`

### getValidationStyleProperty_InfoImageURL

    public org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_InfoImageURL()

  Specified by:
    `getValidationStyleProperty_InfoImageURL` in interface `VTValidationPackage`
  Returns:
    the meta object for the attribute 'Info Image URL'.
  See Also:
    `VTValidationStyleProperty.getInfoImageURL()`, `VTValidationPackage.getValidationStyleProperty()`

### getValidationStyleProperty_InfoOverlayURL

    public org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_InfoOverlayURL()

  Specified by:
    `getValidationStyleProperty_InfoOverlayURL` in interface `VTValidationPackage`
  Returns:
    the meta object for the attribute 'Info Overlay URL'.
  See Also:
    `VTValidationStyleProperty.getInfoOverlayURL()`, `VTValidationPackage.getValidationStyleProperty()`

### getValidationStyleProperty_WarningColorHEX

    public org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_WarningColorHEX()

  Specified by:
    `getValidationStyleProperty_WarningColorHEX` in interface `VTValidationPackage`
  Returns:
    the meta object for the attribute 'Warning Color HEX'.
  See Also:
    `VTValidationStyleProperty.getWarningColorHEX()`, `VTValidationPackage.getValidationStyleProperty()`

### getValidationStyleProperty_WarningImageURL

    public org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_WarningImageURL()

  Specified by:
    `getValidationStyleProperty_WarningImageURL` in interface `VTValidationPackage`
  Returns:
    the meta object for the attribute 'Warning Image URL'.
  See Also:
    `VTValidationStyleProperty.getWarningImageURL()`, `VTValidationPackage.getValidationStyleProperty()`

### getValidationStyleProperty_WarningOverlayURL

    public org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_WarningOverlayURL()

  Specified by:
    `getValidationStyleProperty_WarningOverlayURL` in interface `VTValidationPackage`
  Returns:
    the meta object for the attribute 'Warning Overlay URL'.
  See Also:
    `VTValidationStyleProperty.getWarningOverlayURL()`, `VTValidationPackage.getValidationStyleProperty()`

### getValidationStyleProperty_ErrorColorHEX

    public org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_ErrorColorHEX()

  Specified by:
    `getValidationStyleProperty_ErrorColorHEX` in interface `VTValidationPackage`
  Returns:
    the meta object for the attribute 'Error Color HEX'.
  See Also:
    `VTValidationStyleProperty.getErrorColorHEX()`, `VTValidationPackage.getValidationStyleProperty()`

### getValidationStyleProperty_ErrorImageURL

    public org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_ErrorImageURL()

  Specified by:
    `getValidationStyleProperty_ErrorImageURL` in interface `VTValidationPackage`
  Returns:
    the meta object for the attribute 'Error Image URL'.
  See Also:
    `VTValidationStyleProperty.getErrorImageURL()`, `VTValidationPackage.getValidationStyleProperty()`

### getValidationStyleProperty_ErrorOverlayURL

    public org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_ErrorOverlayURL()

  Specified by:
    `getValidationStyleProperty_ErrorOverlayURL` in interface `VTValidationPackage`
  Returns:
    the meta object for the attribute 'Error Overlay URL'.
  See Also:
    `VTValidationStyleProperty.getErrorOverlayURL()`, `VTValidationPackage.getValidationStyleProperty()`

### getValidationStyleProperty_CancelColorHEX

    public org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_CancelColorHEX()

  Specified by:
    `getValidationStyleProperty_CancelColorHEX` in interface `VTValidationPackage`
  Returns:
    the meta object for the attribute 'Cancel Color HEX'.
  See Also:
    `VTValidationStyleProperty.getCancelColorHEX()`, `VTValidationPackage.getValidationStyleProperty()`

### getValidationStyleProperty_CancelImageURL

    public org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_CancelImageURL()

  Specified by:
    `getValidationStyleProperty_CancelImageURL` in interface `VTValidationPackage`
  Returns:
    the meta object for the attribute 'Cancel Image URL'.
  See Also:
    `VTValidationStyleProperty.getCancelImageURL()`, `VTValidationPackage.getValidationStyleProperty()`

### getValidationStyleProperty_CancelOverlayURL

    public org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_CancelOverlayURL()

  Specified by:
    `getValidationStyleProperty_CancelOverlayURL` in interface `VTValidationPackage`
  Returns:
    the meta object for the attribute 'Cancel Overlay URL'.
  See Also:
    `VTValidationStyleProperty.getCancelOverlayURL()`, `VTValidationPackage.getValidationStyleProperty()`

### getValidationFactory

    public VTValidationFactory getValidationFactory()

  Specified by:
    `getValidationFactory` in interface `VTValidationPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.